Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1945406

Summary: rpmautospec - removing release and changelog fields from spec files
Product: [Fedora] Fedora Reporter: Ben Cotton <bcotton>
Component: Changes TrackingAssignee: Nils Philippsen <nphilipp>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: bcotton, nphilipp, pingou, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-02 16:03:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1894270    

Description Ben Cotton 2021-03-31 19:42:58 UTC
This is a tracking bug for Change: rpmautospec - removing release and changelog fields from spec files
For more details, see: https://fedoraproject.org/wiki/Changes/rpmautospec

The goal of this change is to deploy in production the rpmautospec project.

Comment 1 Nils Philippsen 2021-06-18 16:12:07 UTC
* The rpmautospec plugin has been installed and enabled on the prod Koji builders.
* PRs have been filed with rpmdevtools and rpkg to enable rpmdev-bumpspec and fedpkg cope with rpmautospec-enabled spec files, the one for rpmdevtools has been merged. However, no new upstream releases have been made yet, nor have updated packages incorporating the changes been built in Fedora.

Comment 2 Ben Cotton 2021-08-25 20:58:39 UTC
On Tuesday, 24 August we reached the Change Checkpoint: Completion deadline (100% complete). At this milestone all the F35 Changes should be fully complete, which is indicated by "ON_QA" status of a tracking bug.

If you wish to defer this Change to F36, please needinfo bcotton

Comment 3 Nils Philippsen 2021-08-25 21:01:28 UTC
The changes to rpmdevtools and rpkg have been integrated and are available as Fedora packages for quite a while.

Comment 4 Zbigniew Jędrzejewski-Szmek 2021-11-01 09:32:12 UTC
Nils, are you still around? Do you have any plans to respond to the issues and pull requests for rmpautospec?

Comment 5 Ben Cotton 2021-11-02 16:03:44 UTC
F35 was released today. Closing the trackers.